cityareaname=new Array(35);
cityareacode=new Array(35);
function inicity(preP,preC,formname,selectP,selectC)
   {
     a=1;
if (selectP=='01')
  { a=2;tempoption=new Option('北京','北京',false,true); }
else
  { tempoption=new Option('北京','北京'); }
eval('document.'+formname+'.'+preP+'.options[1]=tempoption;');
cityareacode[1]=new Array('海淀区','朝阳区','东城区','西城区','崇文区','宣武区','丰台区','石景山区','房山区','大兴区','通州区','顺义区','昌平区','密云县','怀柔区','延庆县','平谷区','门头沟区');
cityareaname[1]=new Array('海淀区','朝阳区','东城区','西城区','崇文区','宣武区','丰台区','石景山区','房山区','大兴区','通州区','顺义区','昌平区','密云县','怀柔区','延庆县','平谷区','门头沟区');

if (selectP=='02')
  { a=3;tempoption=new Option('上海','上海',false,true); }
else
  { tempoption=new Option('上海','上海'); }
eval('document.'+formname+'.'+preP+'.options[2]=tempoption;');
cityareacode[2]=new Array('黄浦区','静安区','卢湾区','徐汇区','长宁区','闸北区','普陀区','虹口区','杨浦区','浦东新区','闵行区','松江区','宝山区','嘉定区','青浦区','奉贤区','南汇区','金山区','崇明县');
cityareaname[2]=new Array('黄浦区','静安区','卢湾区','徐汇区','长宁区','闸北区','普陀区','虹口区','杨浦区','浦东新区','闵行区','松江区','宝山区','嘉定区','青浦区','奉贤区','南汇区','金山区','崇明县');

if (selectP=='03')
  { a=4;tempoption=new Option('重庆','重庆',false,true); }
else
  { tempoption=new Option('重庆','重庆'); }
eval('document.'+formname+'.'+preP+'.options[3]=tempoption;');
cityareacode[3]=new Array('渝中区','大渡口区','江北区','沙坪坝区','九龙坡区','南岸区','北碚区','万盛区','双桥区','渝北区','巴南区','万州区','涪陵区','黔江区','长寿区','永川区','郊县区');
cityareaname[3]=new Array('渝中区','大渡口区','江北区','沙坪坝区','九龙坡区','南岸区','北碚区','万盛区','双桥区','渝北区','巴南区','万州区','涪陵区','黔江区','长寿区','永川区','郊县区');
if (selectP=='04')
  { a=5;tempoption=new Option('天津','天津',false,true); }
else
  { tempoption=new Option('天津','天津'); }
eval('document.'+formname+'.'+preP+'.options[4]=tempoption;');
cityareacode[4]=new Array('和平区','河东区','河西区','南开区','河北区','红桥区','塘沽区','汉沽区','大港区','东丽区','西青区','北辰区','津南区','武清区','宝坻区','静海区','宁河区','蓟县','开发区');
cityareaname[4]=new Array('和平区','河东区','河西区','南开区','河北区','红桥区','塘沽区','汉沽区','大港区','东丽区','西青区','北辰区','津南区','武清区','宝坻区','静海区','宁河区','蓟县','开发区');
if (selectP=='5')
  { a=6;tempoption=new Option('广东','广东',false,true); }
else
  { tempoption=new Option('广东','广东'); }
eval('document.'+formname+'.'+preP+'.options[5]=tempoption;');
cityareacode[5]=new Array('广州市','深圳市','珠海市','汕头市','韶关市','河源市','梅州市','惠州市','汕尾市','东莞市','中山市','江门市','佛山市','阳江市','湛江市','茂名市','肇庆市','云浮市','清远市','潮州市','揭阳市');
cityareaname[5]=new Array('广州市','深圳市','珠海市','汕头市','韶关市','河源市','梅州市','惠州市','汕尾市','东莞市','中山市','江门市','佛山市','阳江市','湛江市','茂名市','肇庆市','云浮市','清远市','潮州市','揭阳市');
if (selectP=='06')
  { a=7;tempoption=new Option('河北','河北',false,true); }
else
  { tempoption=new Option('河北','河北'); }
eval('document.'+formname+'.'+preP+'.options[6]=tempoption;');
cityareacode[6]=new Array('石家庄市','邯郸市','邢台市','保定市','张家口市','承德市','唐山市','秦皇岛市','沧州市','廊坊市','衡水市','承德市');
cityareaname[6]=new Array('石家庄市','邯郸市','邢台市','保定市','张家口市','承德市','唐山市','秦皇岛市','沧州市','廊坊市','衡水市','承德市');
if (selectP=='07')
  { a=8;tempoption=new Option('山西','山西',false,true); }
else
  { tempoption=new Option('山西','山西'); }
eval('document.'+formname+'.'+preP+'.options[7]=tempoption;');
cityareacode[7]=new Array('太原市','大同市','阳泉市','长治市','晋城市','朔州市','忻州市','临汾市','运城市','晋中市','吕梁市');
cityareaname[7]=new Array('太原市','大同市','阳泉市','长治市','晋城市','朔州市','忻州市','临汾市','运城市','晋中市','吕梁市');
if (selectP=='08')
  { a=9;tempoption=new Option('内蒙古','内蒙古',false,true); }
else
  { tempoption=new Option('内蒙古','内蒙古'); }
eval('document.'+formname+'.'+preP+'.options[8]=tempoption;');
cityareacode[8]=new Array('呼和浩特市','包头市','乌海市','赤峰市','通辽市','乌兰察布市','呼伦贝尔市','鄂尔多斯市','巴彦淖尔盟','兴安盟','锡林郭勒盟','阿拉善盟');
cityareaname[8]=new Array('呼和浩特市','包头市','乌海市','赤峰市','通辽市','乌兰察布市','呼伦贝尔市','鄂尔多斯市','巴彦淖尔盟','兴安盟','锡林郭勒盟','阿拉善盟');
if (selectP=='09')
  { a=10;tempoption=new Option('辽宁','辽宁',false,true); }
else
  { tempoption=new Option('辽宁','辽宁'); }
eval('document.'+formname+'.'+preP+'.options[9]=tempoption;');
cityareacode[9]=new Array('沈阳市','大连市','鞍山市','抚顺市','本溪市','丹东市','锦州市','葫芦岛市','营口市','盘锦市','阜新市','辽阳市','铁岭市','朝阳市');
cityareaname[9]=new Array('沈阳市','大连市','鞍山市','抚顺市','本溪市','丹东市','锦州市','葫芦岛市','营口市','盘锦市','阜新市','辽阳市','铁岭市','朝阳市');

if (selectP=='10')
  { a=11;tempoption=new Option('吉林','吉林',false,true); }
else
  { tempoption=new Option('吉林','吉林'); }
eval('document.'+formname+'.'+preP+'.options[10]=tempoption;');
cityareacode[10]=new Array('长春市','吉林市','四平市','辽源市','通化市','白山市','松原市','白城市','延边市');
cityareaname[10]=new Array('长春市','吉林市','四平市','辽源市','通化市','白山市','松原市','白城市','延边市');
if (selectP=='11')
  { a=12;tempoption=new Option('黑龙江','黑龙江',false,true); }
else
  { tempoption=new Option('黑龙江','黑龙江'); }
eval('document.'+formname+'.'+preP+'.options[11]=tempoption;');
cityareacode[11]=new Array('哈尔滨市','齐齐哈尔市','鹤岗市','双鸭山市','鸡西市','大庆市','伊春市','牡丹江市','佳木斯市','黑河市','绥化市','大兴安岭市','七台河市');
cityareaname[11]=new Array('哈尔滨市','齐齐哈尔市','鹤岗市','双鸭山市','鸡西市','大庆市','伊春市','牡丹江市','佳木斯市','黑河市','绥化市','大兴安岭市','七台河市');
if (selectP=='12')
  { a=13;tempoption=new Option('江苏','江苏',false,true); }
else
  { tempoption=new Option('江苏','江苏'); }
eval('document.'+formname+'.'+preP+'.options[12]=tempoption;');
cityareacode[12]=new  Array('南京市','连云港市','淮安市','宿迁市','盐城市','扬州市','泰州市','南通市','镇江市','常州市','无锡市','苏州市','徐州市','丹阳市','昆山市','江阴市','靖江市','东台市','沭阳','张家港','如东县','吴江市','宜兴市','兴化市','常熟市');
cityareaname[12]=new Array('南京市','连云港市','淮安市','宿迁市','盐城市','扬州市','泰州市','南通市','镇江市','常州市','无锡市','苏州市','徐州市','丹阳市','昆山市','江阴市','靖江市','东台市','沭阳','张家港','如东县','吴江市','宜兴市','兴化市','常熟市');
if (selectP=='13')
  { a=14;tempoption=new Option('浙江','浙江',false,true); }
else
  { tempoption=new Option('浙江','浙江'); }
eval('document.'+formname+'.'+preP+'.options[13]=tempoption;');
cityareacode[13]=new Array('杭州市','宁波市','温州市','嘉兴市','湖州市','绍兴市','金华市','衢州市','舟山市','台州市','丽水市','瑞安市','义乌市','余姚市');
cityareaname[13]=new Array('杭州市','宁波市','温州市','嘉兴市','湖州市','绍兴市','金华市','衢州市','舟山市','台州市','丽水市','瑞安市','义乌市','余姚市');
if (selectP=='14')
  { a=15;tempoption=new Option('安徽','安徽',false,true); }
else
  { tempoption=new Option('安徽','安徽'); }
eval('document.'+formname+'.'+preP+'.options[14]=tempoption;');
cityareacode[14]=new Array('合肥市','淮南市','淮北市','芜湖市','铜陵市','蚌埠市','马鞍山市','安庆市','黄山市','阜阳市','宿州市','亳州市','巢湖市','六安市','宣城市','池州市','滁州市');
cityareaname[14]=new Array('合肥市','淮南市','淮北市','芜湖市','铜陵市','蚌埠市','马鞍山市','安庆市','黄山市','阜阳市','宿州市','亳州市','巢湖市','六安市','宣城市','池州市','滁州市');
if (selectP=='15')
  { a=16;tempoption=new Option('福建','福建',false,true); }
else
  { tempoption=new Option('福建','福建'); }
eval('document.'+formname+'.'+preP+'.options[15]=tempoption;');
cityareacode[15]=new Array('福州市','厦门市','三明市','莆田市','泉州市','漳州市','南平市','龙岩市','宁德市');
cityareaname[15]=new Array('福州市','厦门市','三明市','莆田市','泉州市','漳州市','南平市','龙岩市','宁德市');
if (selectP=='16')
  { a=17;tempoption=new Option('江西','江西',false,true); }
else
  { tempoption=new Option('江西','江西'); }
eval('document.'+formname+'.'+preP+'.options[16]=tempoption;');
cityareacode[16]=new Array('南昌市','景德镇市','萍乡市','新余市','九江市','鹰潭市','赣州市','上饶市','宜春市','吉安市','抚州市');
cityareaname[16]=new Array('南昌市','景德镇市','萍乡市','新余市','九江市','鹰潭市','赣州市','上饶市','宜春市','吉安市','抚州市');
if (selectP=='17')
  { a=18;tempoption=new Option('山东','山东',false,true); }
else
  { tempoption=new Option('山东','山东'); }
eval('document.'+formname+'.'+preP+'.options[17]=tempoption;');
cityareacode[17]=new Array('济南市','青岛市','淄博市','枣庄市','东营市','潍坊市','烟台市','威海市','济宁市','泰安市','日照市','莱芜市','德州市','临沂市','聊城市','滨州市','菏泽市');
cityareaname[17]=new Array('济南市','青岛市','淄博市','枣庄市','东营市','潍坊市','烟台市','威海市','济宁市','泰安市','日照市','莱芜市','德州市','临沂市','聊城市','滨州市','菏泽市');
if (selectP=='18')
  { a=19;tempoption=new Option('河南','河南',false,true); }
else
  { tempoption=new Option('河南','河南'); }
eval('document.'+formname+'.'+preP+'.options[18]=tempoption;');
cityareacode[18]=new Array('郑州市','开封市','洛阳市','平顶山市','焦作市','鹤壁市','新乡市','安阳市','濮阳市','许昌市','漯河市','三门峡市','南阳市','商丘市','信阳市','济源市','周口市','驻马店市');
cityareaname[18]=new Array('郑州市','开封市','洛阳市','平顶山市','焦作市','鹤壁市','新乡市','安阳市','濮阳市','许昌市','漯河市','三门峡市','南阳市','商丘市','信阳市','济源市','周口市','驻马店市');
if (selectP=='19')
  { a=20;tempoption=new Option('湖北','湖北',false,true); }
else
  { tempoption=new Option('湖北','湖北'); }
eval('document.'+formname+'.'+preP+'.options[19]=tempoption;');
cityareacode[19]=new Array('武汉市','黄石市','襄樊市','十堰市','荆州市','宜昌市','荆门市','鄂州市','孝感市','黄冈市','咸宁市','随州市','恩施市','潜江市','天门市','仙桃市','神农架');
cityareaname[19]=new Array('武汉市','黄石市','襄樊市','十堰市','荆州市','宜昌市','荆门市','鄂州市','孝感市','黄冈市','咸宁市','随州市','恩施市','潜江市','天门市','仙桃市','神农架');

if (selectP=='20')
  { a=21;tempoption=new Option('湖南','湖南',false,true); }
else
  { tempoption=new Option('湖南','湖南'); }
eval('document.'+formname+'.'+preP+'.options[20]=tempoption;');
cityareacode[20]=new Array('长沙市','株洲市','湘潭市','衡阳市','邵阳市','岳阳市','常德市','张家界市','郴州市','益阳市','永州市','怀化市','娄底市','湘西');
cityareaname[20]=new Array('长沙市','株洲市','湘潭市','衡阳市','邵阳市','岳阳市','常德市','张家界市','郴州市','益阳市','永州市','怀化市','娄底市','湘西');
if (selectP=='21')
  { a=22;tempoption=new Option('广西','广西',false,true); }
else
  { tempoption=new Option('广西','广西'); }
eval('document.'+formname+'.'+preP+'.options[21]=tempoption;');
cityareacode[21]=new Array('南宁市','柳州市','桂林市','梧州市','北海市','防城港市','钦州市','贵港市','来宾市','玉林市','贺州市','百色市','河池市','崇左市','来宾市');
cityareaname[21]=new Array('南宁市','柳州市','桂林市','梧州市','北海市','防城港市','钦州市','贵港市','来宾市','玉林市','贺州市','百色市','河池市','崇左市','来宾市');
if (selectP=='22')
  { a=23;tempoption=new Option('海南','海南',false,true); }
else
  { tempoption=new Option('海南','海南'); }
eval('document.'+formname+'.'+preP+'.options[22]=tempoption;');
cityareacode[22]=new Array('海口市','三亚市','琼海市');
cityareaname[22]=new Array('海口市','三亚市','琼海市');
if (selectP=='23')
  { a=24;tempoption=new Option('四川','四川',false,true); }
else
  { tempoption=new Option('四川','四川'); }
eval('document.'+formname+'.'+preP+'.options[23]=tempoption;');
cityareacode[23]=new Array('成都市','自贡市','攀枝花市','泸州市','德阳市','绵阳市','广元市','遂宁市','内江市','乐山市','南充市','宜宾市','广安市','达州市','巴中市','雅安市','眉山','资阳市','阿坝市','甘孜','凉山');
cityareaname[23]=new Array('成都市','自贡市','攀枝花市','泸州市','德阳市','绵阳市','广元市','遂宁市','内江市','乐山市','南充市','宜宾市','广安市','达州市','巴中市','雅安市','眉山','资阳市','阿坝市','甘孜','凉山');
if (selectP=='24')
  { a=25;tempoption=new Option('贵州','贵州',false,true); }
else
  { tempoption=new Option('贵州','贵州'); }
eval('document.'+formname+'.'+preP+'.options[24]=tempoption;');
cityareacode[24]=new Array('贵阳市','六盘水市','遵义市','铜仁市','毕节市','安顺市','黔西南','黔东南','黔南','都匀');
cityareaname[24]=new Array('贵阳市','六盘水市','遵义市','铜仁市','毕节市','安顺市','黔西南','黔东南','黔南','都匀');
if (selectP=='25')
  { a=26;tempoption=new Option('云南','云南',false,true); }
else
  { tempoption=new Option('云南','云南'); }
eval('document.'+formname+'.'+preP+'.options[25]=tempoption;');
cityareacode[25]=new Array('昆明市','曲靖市','玉溪市','昭通市','思茅市','临沧','保山市','文山','大理市','潞西市','丽江','红河','西双版纳','楚雄','德宏','迪庆','怒江');
cityareaname[25]=new Array('昆明市','曲靖市','玉溪市','昭通市','思茅市','临沧','保山市','文山','大理市','潞西市','丽江','红河','西双版纳','楚雄','德宏','迪庆','怒江');
if (selectP=='26')
  { a=27;tempoption=new Option('西藏','西藏',false,true); }
else
  { tempoption=new Option('西藏','西藏'); }
eval('document.'+formname+'.'+preP+'.options[26]=tempoption;');
cityareacode[26]=new Array('拉萨市','那曲','昌都','日喀则市','林芝','山南','阿里');
cityareaname[26]=new Array('拉萨市','那曲','昌都','日喀则市','林芝','山南','阿里');
if (selectP=='27')
  { a=28;tempoption=new Option('陕西','陕西',false,true); }
else
  { tempoption=new Option('陕西','陕西'); }
eval('document.'+formname+'.'+preP+'.options[27]=tempoption;');
cityareacode[27]=new Array('西安市','铜川市','宝鸡市','咸阳市','渭南市','延安市','汉中市','榆林市','商洛市','安康市');
cityareaname[27]=new Array('西安市','铜川市','宝鸡市','咸阳市','渭南市','延安市','汉中市','榆林市','商洛市','安康市');
if (selectP=='28')
  { a=29;tempoption=new Option('甘肃','甘肃',false,true); }
else
  { tempoption=new Option('甘肃','甘肃'); }
eval('document.'+formname+'.'+preP+'.options[28]=tempoption;');
cityareacode[28]=new Array('兰州市','金昌市','白银市','天水市','嘉峪关市','定西','平凉市','武威市','张掖市','临夏市','酒泉市','甘南市','陇南市','庆阳市');
cityareaname[28]=new Array('兰州市','金昌市','白银市','天水市','嘉峪关市','定西','平凉市','武威市','张掖市','临夏市','酒泉市','甘南市','陇南市','庆阳市');
if (selectP=='29')
  { a=30;tempoption=new Option('青海','青海',false,true); }
else
  { tempoption=new Option('青海','青海'); }
eval('document.'+formname+'.'+preP+'.options[29]=tempoption;');
cityareacode[29]=new Array('西宁市','果洛','海北','海东','海南','海西','玉树','黄南');
cityareaname[29]=new Array('西宁市','果洛','海北','海东','海南','海西','玉树','黄南');
if (selectP=='30')
  { a=31;tempoption=new Option('宁夏','宁夏',false,true); }
else
  { tempoption=new Option('宁夏','宁夏'); }
eval('document.'+formname+'.'+preP+'.options[30]=tempoption;');
cityareacode[30]=new Array('银川市','石嘴山市','吴忠市','固原','中卫');
cityareaname[30]=new Array('银川市','石嘴山市','吴忠市','固原','中卫');
if (selectP=='31')
  { a=32;tempoption=new Option('新疆','新疆',false,true); }
else
  { tempoption=new Option('新疆','新疆'); }
eval('document.'+formname+'.'+preP+'.options[31]=tempoption;');
cityareacode[31]=new Array('乌鲁木齐市','克拉玛依市','石河子市','吐鲁番市','哈密市','和田市','阿克苏市','喀什市','昌吉市','伊宁市','巴音郭楞','博尔塔拉','伊犁','阿拉尔','图木舒克','五家渠');
cityareaname[31]=new Array('乌鲁木齐市','克拉玛依市','石河子市','吐鲁番市','哈密市','和田市','阿克苏市','喀什市','昌吉市','伊宁市','巴音郭楞','博尔塔拉','伊犁','阿拉尔','图木舒克','五家渠');
if (selectP=='32')
  { a=33;tempoption=new Option('香港','香港',false,true); }
else
  { tempoption=new Option('香港','香港'); }
eval('document.'+formname+'.'+preP+'.options[32]=tempoption;');
cityareacode[32]=new Array('香港');
cityareaname[32]=new Array('香港');
if (selectP=='33')
  { a=34;tempoption=new Option('澳门','澳门',false,true); }
else
  { tempoption=new Option('澳门','澳门'); }
eval('document.'+formname+'.'+preP+'.options[33]=tempoption;');
cityareacode[33]=new Array('澳门');
cityareaname[33]=new Array('澳门');
if (selectP=='34')
  { a=35;tempoption=new Option('台湾','台湾',false,true); }
else
  { tempoption=new Option('台湾','台湾'); }
eval('document.'+formname+'.'+preP+'.options[34]=tempoption;');
cityareacode[34]=new Array('台湾');
cityareaname[34]=new Array('台湾');

eval('document.'+formname+'.'+preP+'.options[a-1].selected=true;');

cityid=selectP;
    if (cityid!='0')
      {
        b=0;for (i=0;i<cityareaname[cityid].length;i++)
           {
             if (selectC==cityareacode[cityid][i])
               {b=i+1;tempoption=new Option(cityareaname[cityid][i],cityareacode[cityid][i],false,true);}
             else
               tempoption=new Option(cityareaname[cityid][i],cityareacode[cityid][i]);
            eval('document.'+formname+'.'+preC+'.options[i+1]=tempoption;');
           }
        eval('document.'+formname+'.'+preC+'.options[b].selected=true;');
      }
    }
 function selectcity(preP,preC,formname)
   {
     cityid=eval('document.'+formname+'.'+preP+'.selectedIndex;');
     j=eval('document.'+formname+'.'+preC+'.length;');
     for (i=1;i<j;i++)
        {eval('document.'+formname+'.'+preC+'.options[j-i]=null;')}
     if (cityid!="0")
       {
         for (i=0;i<cityareaname[cityid].length;i++)
            {
             tempoption=new Option(cityareaname[cityid][i],cityareacode[cityid][i]);
             eval('document.'+formname+'.'+preC+'.options[i+1]=tempoption;');
            }
       }
    }